Class | Fog::AWS::EMR::Mock
In: | lib/fog/aws/emr.rb lib/fog/aws/requests/emr/add_instance_groups.rb lib/fog/aws/requests/emr/add_job_flow_steps.rb lib/fog/aws/requests/emr/describe_job_flows.rb lib/fog/aws/requests/emr/modify_instance_groups.rb lib/fog/aws/requests/emr/run_job_flow.rb lib/fog/aws/requests/emr/set_termination_protection.rb lib/fog/aws/requests/emr/terminate_job_flows.rb
Parent: | Object

model_path ‘fog/aws/models/rds’ model :server collection :servers model :snapshot collection :snapshots model :parameter_group collection :parameter_groups

model :parameter collection :parameters

model :security_group collection :security_groups

### Methods

add_instance_groups add_job_flow_steps describe_job_flows modify_instance_groups new run_job_flow set_termination_protection terminate_job_flows

### Public Class methods

new(options={})

### Public Instance methods

add_instance_groups(job_flow_id, options={})
add_job_flow_steps(db_name, options={})
describe_job_flows(db_name, options={})
modify_instance_groups(options={})
run_job_flow(db_name, options={})
set_termination_protection(db_name, options={})
terminate_job_flows(db_name, options={})

[Validate]